/* This program uses UART to send data back to the host using
 * simple print statements.  UART transmission and reception 
 * is interrupt driven.  
 * 
 * Operation:
 * 
 * Wiring.
 * A USB to serial converter is wired to the TX and RX pins of UART0
 */
#include "lpc111x.h"
#include "serial.h"
void delay(int dly)
{
	while(dly--);
}
int main() 
{	
	char c;
	int PassCount=0;
	initUART();
	enable_interrupts();
	c='a';
	while(1) 
	{		
		printString("Please press 1 or 2:");
		while (rx_count()==0); // wait for a key press
		c=egetc(); // read the key
		eputc(c); // echo back the character pressed
		printString("\r\n");

		switch (c)  // act on the key
		{	
			case '1': {
				printString("You pressed 1\r\n");
				break;
			}
			case '2': {
				printString("You pressed 2\r\n");
				break;
			}
			default:{
				printString("You didn't press 1 or 2\r\n");
			}			
		}
		printString("Number of passes through the loop = ");
		PassCount = PassCount+1;
		printInteger(PassCount);
		printString("\r\n");
			
	}    
}



